package com.four.patient.domain;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 医生注册信息表
 */
public class RegistrationInformation {

    /**
     * 医生注册信息id
     */
    private Integer registrationInformationId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 所属医院
     */
    private String affiliatedHospital;

    /**
     * 医生科室id
     */
    private Integer medicalDepartmentId;

    /**
     * 医生职称id
     */
    private Integer professionalTitleDoctorId;

    /**
     * 个人简历
     */
    private String personalResume;

    /**
     * 擅长领域
     */
    private String areaExpertise;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 服务患者次数
     */
    private String numberPatientsServed;

    /**
     * 咨询价格
     */
    private BigDecimal consultingPrice;

    /**
     * 审核状态：1：待审核2：审核通过3：已驳回
     */
    private Integer registrationInformationExamineStatus;

    /**
     * 医生的状态：1：在线2：离线
     */
    private Integer registrationInformationMedicStatus;

    public Integer getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Integer registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Integer getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Integer medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Integer getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Integer professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public String getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(String numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public BigDecimal getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(BigDecimal consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Integer getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Integer registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Integer getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Integer registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }
}
